package jp.co.gihyo.webdb.vol35.tdd.webapp.rest.impl;

import jp.co.gihyo.webdb.vol35.tdd.webapp.rest.InvalidPathException;

public class PathInfoTokenizerImpl {

	public long getEntityId(String pathInfo) {
		String[] splitted = pathInfo.split("/");
		String idStr = splitted[splitted.length - 1];
		return Long.parseLong(idStr);
	}

	public String getDaoPrefix(String pathInfo) {
		if(pathInfo == null || "/".equals(pathInfo)) {
			throw new InvalidPathException(pathInfo);
		}
		return pathInfo.split("/")[1];
	}

}
